create_extraction_schema
curl --request POST \
--url https://ndi-api.nace.ai/v1/extraction-schemas \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"schema": {}
}
'{
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"owner": "platform",
"schema": {},
"schema_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 2,
"description": "<string>"
}{
"error": {
"code": "invalid_request",
"detail": null,
"message": "Request body has extra fields that this operation does not accept.",
"request_id": "req-01j9k2n3p4q5r6s7t8v9",
"retryable": false
}
}{
"error": {
"code": "invalid_request",
"detail": null,
"message": "Request body has extra fields that this operation does not accept.",
"request_id": "req-01j9k2n3p4q5r6s7t8v9",
"retryable": false
}
}create_extraction_schema
Create version 1 of a new tenant-owned schema family with a generated sch_... id.
POST
/
v1
/
extraction-schemas
create_extraction_schema
curl --request POST \
--url https://ndi-api.nace.ai/v1/extraction-schemas \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"schema": {}
}
'{
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"owner": "platform",
"schema": {},
"schema_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 2,
"description": "<string>"
}{
"error": {
"code": "invalid_request",
"detail": null,
"message": "Request body has extra fields that this operation does not accept.",
"request_id": "req-01j9k2n3p4q5r6s7t8v9",
"retryable": false
}
}{
"error": {
"code": "invalid_request",
"detail": null,
"message": "Request body has extra fields that this operation does not accept.",
"request_id": "req-01j9k2n3p4q5r6s7t8v9",
"retryable": false
}
}Authorizations
Body
application/json
Response
Successful Response
One immutable schema version, including the frozen JSON Schema body.
Required string length:
1 - 128Available options:
platform, tenant Show child attributes
Show child attributes
Required range:
x >= 1Required string length:
1 - 2000